/************************************************************
 * Ring.h													*
 *  By Nicholas Crook										*
 *															*
 * Contains location and state information for the rings	*
 * also the algorithm to check if gizmo has collected this  *
 * ring														*
 ************************************************************/

#ifndef RING_H
#define RING_H

#include <nds.h>
#include "Sprite.h"
#include "Gizmo.h"
#include "GameObject.h"
#include "CurrentMap.h"

class Ring : public GameObject {
public:
	// Constructors
	Ring();
	Ring(int x, int y, const Sprite sprite);

	void Update();									// Updates the spinning ring animation
	bool CollisionCheck(const Gizmo* gizmo) const;	// Check if Gizmo has collected this coin
};
#endif