#include "GameObject.h"

// Constructors
GameObject::GameObject() : m_X(0), m_Y(0), m_DX(0), m_DY(0), m_Sprite(), m_Flipped(false) { }
GameObject::GameObject(int x, int y, const Sprite sprite) : m_X(x), m_Y(y), m_DX(0), m_DY(0), m_Sprite(sprite), m_Flipped(false) { }

// Tells the sprite object to clean itself from memory
void GameObject::Clean() const
{
	m_Sprite.Clean();
}
	
// Tells the sprite object to remove itself from the screen
void GameObject::Wipe() const
{
	m_Sprite.Wipe();
}

// Draw the game object to the screen
void GameObject::Draw(const CurrentMap* map) const {
	m_Sprite.Draw(m_X - map->GetScreenTopLeftX(), m_Y - map->GetScreenTopLeftY(), m_Flipped);
}