#include "Ring.h"

// Constructors
Ring::Ring() : GameObject() { }
Ring::Ring(int x, int y, const Sprite sprite) : GameObject(x, y, sprite) { }

// Updates the spinning ring animation
void Ring::Update()
{
	m_Sprite.UpdateSprite();
}

// Check if Gizmo has collected this ring
bool Ring::CollisionCheck(const Gizmo* gizmo) const
{
	// Get the distances between gizmo and the ring
	int OffsetX = m_X - gizmo->GetX();
	int OffsetY = m_Y - gizmo->GetY();

	// If they statisfy a distance of 20 pixels return true and clean the video ram
	if (OffsetX * OffsetX + OffsetY * OffsetY < 20 * 20) 
	{
		Clean();
		return true;
	}
	return false;
}